<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->decimal('fixed_pagibig_contribution', 10, 2)->change()->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->decimal('fixed_pagibig_contribution', 8, 2)->change();
        });
    }
};
